%define ver 1.1
%define rel 2mdk
%define oname ID3
%define pyversion 2.2

Name: python-%oname
Version: %{ver}
Release: %{rel}
Source0: %{oname}-%{ver}.tar.bz2
Summary: Python module for manipulating ID3 information tags on MP3 audio files.
License: GPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://id3-py.sourceforge.net
Requires: python
BuildRequires: python = %pyversion
BuildArch: noarch

%description
This is a simple Python module for retrieving and setting so-called ID3
tags on MP3 compressed audio files through an object-oriented interface.
MP3 players generally use this simple information for display track title,
artist name, and album title while playing the sound file.

%prep
%setup -q -n %oname-%version

%build
python -c "import ID3"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{pyversion}/site-packages
install -m 644 ID3.py $RPM_BUILD_ROOT%{_libdir}/python%{pyversion}/site-packages/ID3.py
install -m 644 ID3.pyc $RPM_BUILD_ROOT%{_libdir}/python%{pyversion}/site-packages/ID3.pyc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README id3-tagger.py
%{_libdir}/python%{pyversion}/site-packages/ID3.py
%{_libdir}/python%{pyversion}/site-packages/ID3.pyc

%changelog
* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- python 2.2
- updated BuildRequires

* Sun Nov 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- adapt for Mandrake

* Thu Nov 08 2001 Jeff Abbott <jabbott@redhat.com>
- Initial RPM build for both Python 1.5 and Python 2.1
